SILK_CONFIG(1)

NAME
silk_config - Print SiLK compiling and linking information

DESCRIPTION
silk_config prints configuration information used to compile and link other files and programs against the SiLK header files and libraries. silk_config will print the output value(s) selected by the user, or all configuration information if no switches are provided.

This command has nothing to do with the SiLK Configuration file. See the silk.conf(5) manual page for information on that file.

OPTIONS
Option names may be abbreviated if the abbreviation is unique or is an exact match for an option.

--silk-version
    Print the version of SiLK as a simple string. This output from this switch is only the version number; the output does not include the additional configuration information that the --version switch normally prints.

--compiler
    Print the compiler used to build SiLK.

--cflags
    Print the include paths (that is, the -I switches) and any additional compiler flags to use when compiling a file against the SiLK header files. To only print the include paths, use --include.

--include
    Print the include paths to use when compiling a file against the SiLK header files. See also --cflags.

--libs
    This switch is an alias for --libsilk-libs.

--libsilk-libs
    Print the linker flags (that is, the -L and -l switches) to use when linking a program against libsilk.so.

--libsilk-thrd-libs
    Print the linker flags to use when linking a program against libsilk-thrd.so. Few external programs will need to use this library.

--libskmsg-libs
    Print the linker flags to use when linking a program against libskmsg.so. It is highly unlikely that an external program will need to use this library.

--libflowsource-libs
    Print the linker flags to use when linking a program against libflowsource.so. It is highly unlikely that an external program will need to use this library.

--libskipfix-libs
    Print the linker flags to use when linking a program against libskipfix.so. The value will be empty if IPFIX support is not available in this build of SiLK.

--data-rootdir
    Print the compiled-in value of the default location of the SiLK data repository, ignoring any environment variable settings.

--python-site-dir
    Print the name of the directory containing the silk subdirectory where the PySiLK module files were installed. The user may need to set the PYTHONPATH environment variable to this location to be able to use PySiLK. The value will be empty if PySiLK support is not available in this build of SiLK.

--help
    Print the available options and exit.

--version
    Print the version number and information about how SiLK was configured, then exit the application.

SEE ALSO
silk.conf(5), silk(7)